/***************************************************************************
                   Convert Anonymous Directory Header ( ConvertAnonymous.h )
                -----------------------------------------

	begin      : 2013/03/18
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/18 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __CONVERT_ANONYMOUS_DIRECTORY_H__
#define __CONVERT_ANONYMOUS_DIRECTORY_H__

class CConvert;

class CConvertAnonymosDir : public CConvert
{
public:
	CConvertAnonymosDir(string subkey = "");
	virtual ~CConvertAnonymosDir();

	virtual int ToJobData(int nServiceType, void* pFrom, void *pTo);
	virtual void *ToClientData(int nServiceType,  int nEnd, void* pFrom, int & outlen);
protected:
	
private:
	string	m_subkey;
};

#endif // __CONVERT_ANONYMOUS_DIRECTORY_H__
